SELECT pg_stat_activity.pid, locktype,
virtualtransaction, transactionid, nspname,
relname, mode, granted,
CAST(DATE_TRUNC('second', query_start) AS time) AS q_start,
SUBSTR(query, 1, 56) AS sql
FROM pg_locks
LEFT OUTER JOIN pg_class ON (pg_locks.relation = pg_class.oid)
LEFT OUTER JOIN pg_namespace ON (pg_namespace.oid = pg_class.relnamespace),
pg_stat_activity
WHERE pg_locks.pid != pg_backend_pid()
AND pg_locks.pid = pg_stat_activity.pid
AND pg_locks.locktype = 'relation';
