SELECT a.query_id, a.pid,
a.usename, a.application_name, a.client_addr,
now() - a.query_start AS duration, a.wait_event,
s.total_exec_time, s.mean_exec_time,
s.shared_blks_read, s.shared_blks_hit
FROM pg_stat_activity a, pg_stat_statements s
WHERE a.query_id = s.queryid
AND state='active';
