#include “postgres.h”
#include “executor/executor.h” 
PG_MODULE_MAGIC;
PG_FUNCTION_INFO_V1(highincome);
Datum highincome(PG_FUNCTION_ARGS) {
  HeapTupleHeader t = PG_GETARG_HEAPTUPLEHEADER(0);
  int32 limit = PG_GETARG_INT32(1);
  bool isnull;
  Datum income;
  income = GetAttributeByName(t, “income”, &isnull);
  if (isnull)
    PG_RETURN_BOOL(false);
  PG_RETURN_BOOL(DatumGetInt32(income) > limit);
}
