CREATE FUNCTION fibonacci(num INTEGER)
RETURNS SETOF INTEGER
AS $$
WITH RECURSIVE cnt(n1,n2) AS
(
VALUES(0,1)
UNION ALL
  SELECT
  GREATEST(n1,n2),n1 + n2 AS FibuNumbers
  FROM cnt
  WHERE n2 < num
)
SELECT n1 FROM cnt;
$$ LANGUAGE SQL;
