CREATE FUNCTION get_actor_name (INTEGER)
RETURNS text AS $$
DECLARE
  v_prodid ALIAS FOR $1;
  v_title TEXT;
  v_actor TEXT;
BEGIN
  SELECT INTO v_title, v_actor
    title, actor
    FROM products WHERE prod_id = v_prodid;
    RETURN v_title || ' - ' || v_actor;
 END;
 $$ LANGUAGE 'plpgsql';

SELECT get_actor_name (321);
