CREATE FUNCTION fn_product (p_title VARCHAR)
RETURNS SETOF products
AS $$
DECLARE
  v_prod_id INT;
BEGIN
  SELECT INTO v_prod_id prod_id FROM products WHERE title = p_title;
  RETURN QUERY
    SELECT * FROM products WHERE prod_id = v_prod_id;
END;
$$
LANGUAGE plpgsql;

SELECT fn_product('ACADEMY AGENT');
