CREATE FUNCTION fn_product2 (p_actor VARCHAR)
RETURNS SETOF products
AS $$
DECLARE
  prod_row products%ROWTYPE;
BEGIN
  FOR prod_row IN
    SELECT * FROM products
      LOOP
        IF prod_row.actor LIKE p_actor||'%' THEN
          RETURN NEXT prod_row;
        END IF;
      END LOOP;
END;
$$
LANGUAGE plpgsql;

SELECT fn_product2('RICHARD');
