#!/usr/bin/perl
use DBI;
use strict;
my $dsn = $ARGV[0];
my $user = $ARGV[1];
my $password = $ARGV[2];
my $conn = DBI->connect($dsn, $user, $password, { AutoCommit => 0} );
printf "Status: %s\n", $conn->state;
$conn->{ AutoCommit } = 1;
my $stmt = qq(SELECT version(););
my $sth = $conn->prepare($stmt);
my $rset = $sth->execute() or die $DBI::errstr;
while (my @row = $sth->fetchrow_array()) {
  print $row[0] . "\n";
}
$conn->disconnect;
