import psycopg2
import csv
import os
from psycopg2 import Error
try:
  outfile = open("anzeigenmarketing.csv", "w")
  output = csv.writer(outfile, delimiter=',', lineterminator='\n')
  conn = psycopg2.connect(dbname="hanser", user="postgres", password="postgres", host="localhost")
  cursor = conn.cursor()
  cursor.execute("SELECT * FROM anzeigen")
  row = cursor.fetchone()
  while row is not None:
    output.writerow(row)
    row = cursor.fetchone()
except (Exception, Error) as error:
  print("Verbindung zu PostgreSQL konnte nicht hergestellt werden: ", error)
finally:
  conn.close()
