CREATE OR REPLACE FUNCTION public.load_url(tablename character varying, url character varying)
RETURNS integer
LANGUAGE plpython3u
AS $function$
import requests
data = requests.get(url)
lines = data.text.splitlines()
count_rows = 0
max_cols = len(lines[1].split(','))
for row in lines[2:]:
  sql_text = "INSERT INTO " + tablename + " (crim,zn,indus,chas,nox,rm,age,dis,rad,tax,ptratio,b,lstat,medv) VALUES ("
  cur_row = row.split(',')
  for j in range(0, max_cols):
    if j == max_cols-1:
      sql_text = sql_text + str(cur_row[j])
    else:
      sql_text = sql_text + str(cur_row[j]) + ","
  sql_text = sql_text + ")"
  plpy.execute(sql_text)
  count_rows = count_rows + 1
return count_rows
$function$;

SELECT load_url('housing', 'https://raw.githubusercontent.com/scikit-learn/scikit-learn/main/sklearn/datasets/data/boston_house_prices.csv');
