CREATE TABLE heatmap
AS
SElECT state, event_type, SUM(damage_property::NUMERIC) AS damage
FROM stormdata
GROUP BY state, event_type;

CREATE FUNCTION get_heatmap()
RETURNS TABLE(state varchar, hail numeric, flod numeric, tornado numeric,hurricane  numeric, tstorm numeric, typhoon numeric)
AS $$
SELECT state,
  SUM(ROUND(damage/1000000,0)) FILTER (WHERE event_type = 'Hail') as "HAIL",
  SUM(ROUND(damage/1000000,0)) FILTER (WHERE event_type = 'Flood') as "FLOOD",
  SUM(ROUND(damage/1000000,0)) FILTER (WHERE event_type = 'Tornado') AS "TORNADO",
  SUM(ROUND(damage/1000000,0)) FILTER (WHERE event_type = 'Hurricane') AS "HURRICANE",
  SUM(ROUND(damage/1000000,0)) FILTER (WHERE event_type = 'Tropical Storm') AS "TROPICAL STORM",
  SUM(ROUND(damage/1000000,0)) FILTER (WHERE event_type = 'Hurricane (Typhoon)') AS "TYPHOON"
FROM heatmap
GROUP BY state
ORDER BY 1;
$$ LANGUAGE SQL;

SELECT * FROM get_heatmap();
