SELECT * FROM crosstab(
'SELECT state, EXTRACT(YEAR FROM begin_date_time) AS jahr,
SUM(damage_property::NUMERIC)
FROM stormdata
WHERE EXTRACT(YEAR FROM begin_date_time) IN (1950,1960,1970,1980,1990,2000,2010,2020)
GROUP BY state, jahr
ORDER BY 1,2',
'SELECT DISTINCT EXTRACT(YEAR FROM begin_date_time) FROM stormdata WHERE EXTRACT(YEAR FROM begin_date_time) IN (1950,1960,1970,1980,1990,2000,2010,2020) ORDER BY 1')
AS ("State" text, "1950" numeric, "1960" numeric, "1970" numeric, "1980" numeric, "1990" numeric, "2000" numeric, "2010" numeric, "2020" numeric);
