CREATE OR REPLACE FUNCTION db_wordcloud(sqltext VARCHAR)
RETURNS integer
LANGUAGE plpython3u
AS $function$
import matplotlib.pyplot as plt
from wordcloud import WordCloud
wc_list = ""
rv = plpy.execute(sqltext)
for row in rv:
  wc_list = wc_list + list(row.values())[0] + " "
wordcloud = WordCloud(background_color="white").generate(wc_list)
plt.imshow(wordcloud, interpolation="bilinear")
plt.axis("off")
plt.show()
return 0
$function$;

SELECT db_wordcloud('SELECT state FROM stormdata WHERE state IS NOT NULL');
