import psycopg2
from psycopg2 import Error
import matplotlib.pyplot as plt
import pandas as pd
try:
  sqlstmt = "SELECT * FROM cal_housing"
  conn = psycopg2.connect(dbname="hanser", user="postgres", password="postgres", host="localhost")
  data = pd.read_sql_query(sqlstmt, conn)
  data.plot(kind="scatter", x="longitude", y="latiude", alpha=0.4)
  plt.show()
except (Exception, Error) as error:
  print("Fehler: ", error)
finally:
  conn.close()  
