CREATE OR REPLACE FUNCTION get_table_md(p_table VARCHAR2) RETURN CLOB IS
   h NUMBER;
   th NUMBER;
   doc CLOB;
 BEGIN
 DBMS_METADATA.SET_TRANSFORM_PARAM( 
   DBMS_METADATA.SESSION_TRANSFORM,'STORAGE',FALSE);
   h := DBMS_METADATA.OPEN('TABLE');
   DBMS_METADATA.SET_FILTER(h,'SCHEMA','HR');
   DBMS_METADATA.SET_FILTER(h,'NAME',p_table);
   th := DBMS_METADATA.ADD_TRANSFORM(h,'DDL');
   DBMS_METADATA.SET_TRANSFORM_PARAM(th,'SEGMENT_ATTRIBUTES',false);
   DBMS_METADATA.SET_TRANSFORM_PARAM(th,'SQLTERMINATOR',true);
   doc := DBMS_METADATA.FETCH_CLOB(h);
   DBMS_METADATA.CLOSE(h);
   RETURN doc;
 END;
/
