CREATE TABLE logtable(
logid    SERIAL,
logtime  TIMESTAMP,
logtext   VARCHAR(100));

CREATE FUNCTION add_log_entry(p_txt TEXT)
RETURNS void
AS $$
DECLARE
  curtime timestamp := now();
BEGIN
  INSERT INTO logtable (logtime, logtext) VALUES (curtime, p_txt);
END;
$$ LANGUAGE plpgsql;

SELECT add_log_entry('Keine Datensätze gefunden.');

SELECT * FROM logtable;
