import java.sql.*;
import java.io.*;
public class pgLargeObject {
  public static void main(String[] argv) {
    Connection conn = null;
    DatabaseMetaData dmd = null;
    String FileName = null;
    FileInputStream fis = null;
    try {
      Class.forName(“org.postgresql.Driver”);
    } catch (ClassNotFoundException ex) {
      System.out.println(“Driver could not be loaded.”);
    }
    try {
      conn = DriverManager.getConnection(
        “jdbc:postgresql://localhost:5432/hanser”,“postgres”,“postgres”);
      conn.setAutoCommit(false);
    } catch (SQLException sqlex) {
      System.out.println(sqlex.toString());
    }
    FileName = argv[0];
    System.out.println(“Importing file ” + FileName + “ as Large Object to 
      database...\n”);
    File file = new File(FileName);
    try {
      fis = new FileInputStream(file);
    } catch (IOException ioex) {
      System.out.println(ioex.toString());
    }
    try {
      PreparedStatement ps = conn.prepareStatement(“INSERT INTO images VALUES    
        (?, ?, ?)”);
      ps.setInt(1, 1);
      ps.setString(2, file.getName());
      ps.setBinaryStream(3, fis, (int)file.length());
      ps.executeUpdate();
      conn.commit();
    } catch (SQLException sqlex) {
      System.out.println(sqlex.toString());
    }
    try {
      conn.close();
    } catch (SQLException sqlex) {
      System.out.println(sqlex.toString());
    }
  }
}
