import java.sql.*;
import org.postgresql.largeobject.*;
import java.io.*;
public class pgLargeObject2 {
  public static void main(String[] argv) {
    Connection conn = null;
    DatabaseMetaData dmd = null;
    String FileName = null;
    FileInputStream fis = null;
    LargeObjectManager lobj;
    LargeObject obj;
    long oid;
    int i,j;
    byte buf[] = new byte[204800];
    try {
      Class.forName(“org.postgresql.Driver”);
    } catch (ClassNotFoundException ex) {
      System.out.println(“Driver could not be loaded.”);
    }
    FileName = argv[0];
    System.out.println(“Importing file ” + FileName + “ as Large Object to 
      database...\n”);
    File file = new File(FileName);
    try {
      fis = new FileInputStream(file);
    } catch (IOException ioex) {
      System.out.println(ioex.toString());
    }
    try {
      conn = DriverManager.getConnection( 
        “jdbc:postgresql://localhost:5432/hanser”,“postgres”,“postgres”);
      conn.setAutoCommit(false);
      lobj = ((org.postgresql.PGConnection)conn).getLargeObjectAPI();
      oid = lobj.createLO(LargeObjectManager.READ | LargeObjectManager.WRITE);
      obj = lobj.open(oid, LargeObjectManager.WRITE);
      j = 0;
      try {
        while (( i = fis.read(buf, 0, 204800)) > 0 ) {
          obj.write(buf, j, i);
          j += i;
        }
        obj.close();
      } catch (IOException ioex) {
        System.out.println(ioex.toString());
      }
      PreparedStatement ps = conn.prepareStatement(
        “INSERT INTO images2 VALUES (?, ?, ?)”);
      ps.setInt(1, 1);
      ps.setString(2, file.getName());
      ps.setLong(3, oid);
      ps.executeUpdate();
      conn.commit();
      conn.close();
    } catch (SQLException sqlex) {
      System.out.println(sqlex.toString());
    }
  }
}
