#!/usr/bin/perl
use DBI;
use strict;
my $dsn = "DBI:Pg:dbname=hanser;host=localhost;port=5432";
my $conn = DBI->connect($dsn, "postgres", "", { AutoCommit => 0} );
my $stmt = "SELECT * FROM categories";
my $sth = $conn->prepare($stmt);
print "SQL-Anweisung:\t\t", $sth->{Statement}, "\n";
my $rset = $sth->execute() or die $DBI::errstr;
my $numcol = $sth->{NUM_OF_FIELDS};
print "Anzahl Spalten:\t\t", $numcol, "\n";
print "Anzahl Saetze:\t\t", $rset, "\n\n";
foreach my $i (0..$numcol-1) {
  print uc $sth->{NAME}[$i], "\t";
}
print "\n\n";
while (my @row = $sth->fetchrow_array()) {
  foreach my $i (0..$numcol-1) {
    print $row[$i], "\t\t";
  }
  print "\n";
}
$sth->finish;
$conn->disconnect;
