#!/usr/bin/perl
use DBI;
use strict;
sub runQueryBind {
  my ($conn, $command) = @_;
  print $command, "\n";
  my $sth = $conn->prepare($command);
  my $zeilen = $sth->execute;
  print "SQL-Status: ", $conn->err, "\n" if $conn->err;
  print "SQL-Fehler: ", $conn->errstr, "\n" if $conn->err;
  print "Zeilen im Resultset: ", $zeilen, "\n";
  print "Anzahl von Spalten: ", $sth->{NUM_OF_FIELDS}, "\n";
  my ( $cat, $catname );
  $sth->bind_col(1, \$cat);
  $sth->bind_col(2, \$catname);
  while ($sth->fetch) {
    print "Cat-ID = ", $cat, ", Category = ", $catname, "\n";
  }
  $sth->finish;
}
my $conn = DBI->connect("DBI:Pg:dbname=hanser;host=localhost;port=5432",
"postgres", "",{ AutoCommit => 0}) || die "Fehler $DBI::err
[$DBI::errstr]";
printf "Status: %s\n", $conn->state || "OK";
runQueryBind($conn, "SELECT category, categoryname FROM categories");
$conn->disconnect;
