#!/usr/bin/perl
use DBI;
use strict;
my $dbh = DBI->connect("DBI:Pg:dbname=hanser;host=localhost;port=5432",
"postgres", "",{ AutoCommit => 0}) || die "Fehler $DBI::err [$DBI::errstr]";
my $dbh2 = DBI->connect("DBI:CSV:csv_sep_char=\\;");
my $sql_insert = "INSERT INTO orders 
(orderdate,customerid,netamount,tax,totalamount) VALUES (?,?,?,?,?)";
my $sth = $dbh->prepare($sql_insert);
$dbh2->{'csv_tables'}->{'extern'} = {'file'=>'22_01.csv'};
my $sth2 = $dbh2->prepare("SELECT * FROM extern");
$sth2->execute();
my @row;
my $ret;
while (@row = $sth2->fetchrow_array) {
  $sth->bind_param(1, $row[0]);
  $sth->bind_param(2, $row[1]);
  $sth->bind_param(3, $row[2]);
  $sth->bind_param(4, $row[3]);
  $sth->bind_param(5, $row[4]);  
  $ret = $sth->execute();
}
$dbh->commit;
$sth->finish;
$dbh->disconnect;
$sth2->finish;
$dbh2->disconnect;
