import psycopg2
from psycopg2 import Error
def hexdump(chars, sep, width):
  linenr = 0;
  while chars:
    line = chars[:width]
    chars = chars[width:]
    line = line.ljust(width, '\000')
    print ("%06X%s%s%s%s" % (linenr,": ",sep.join("%02X" % ord(c) for c in line), sep, quotechars(line)))
    linenr = linenr + width
def quotechars(chars):
  return ''.join(['.', c][c.isprintable()] for c in chars)  
try:
  conn = psycopg2.connect(dbname="hanser", user="postgres", password="postgres", host="localhost")
  conn.set_client_encoding('UTF-8')
  cursor = conn.cursor()
  cursor.execute("SELECT cont FROM big WHERE id1=1")
  rows = cursor.fetchone()
  print(conn.encoding)
  print(rows[0], type(rows[0]))
  hexdump(rows[0], ' ', 16)
except (Exception, Error) as error:
  print("Fehler: ", error)
finally:
  conn.close()
