import psycopg2
from psycopg2 import Error
import matplotlib.pyplot as plt
from wordcloud import WordCloud
try:
  sqlstmt1 = input("Bitte SQL eingeben : ")
  print(sqlstmt1)
  conn = psycopg2.connect(dbname="hanser", user="postgres", password="postgres", host="localhost")
  cursor = conn.cursor()
  cursor.execute(sqlstmt1)
  row = cursor.fetchone()
  wc_list = ""
  while row is not None:
    wc_list = wc_list + row[0] + " "
    row = cursor.fetchone()
  print(wc_list)
  wordcloud = WordCloud(background_color="white").generate(wc_list)
  plt.imshow(wordcloud, interpolation="bilinear")
  plt.axis("off")
  plt.show()
except (Exception, Error) as error:
  print("Fehler: ", error)
finally:
  cursor.close()    
  conn.close()
